{% extends "users/userspace.html" %}

{% block additional_stylesheets %}
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
{% endblock %}

{% block scripts %}
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>
    <script>

        const activeColorLabel = document.getElementById("active_color_label");
        const activeField = document.getElementById("{{ form.active.id_for_label }}");

        $(document).ready(() => {
            changeColor();
            $("#content_editor").summernote({
                height: 500,
                width: "100%",
                toolbar: [
                    ['style', ['style']],
                    ['edit', ['undo', 'redo']],
                    ['font', ['bold', 'italic', 'underline', 'strikethrough', 'clear']],
                    ['scripts', ['superscript', 'subscript']],
                    ['fontname', ['fontname', 'fontsize', 'height']],
                    ['color', ['color']],
                    ['para', ['ul', 'ol', 'paragraph']],
                    ['table', ['table']],
                    ['misc', ['hr']],
                    ['insert', ['link', 'picture', 'video']],
                    ['view', ['fullscreen', 'codeview', 'help']],
                ]
            });
        });
        
        activeField.addEventListener("change", changeColor);

        function changeColor() {
            if (activeField.checked) {
                activeColorLabel.style.color = "green";
                activeColorLabel.textContent = "Activé";

            } else {
                activeColorLabel.style.color = "red";
                activeColorLabel.textContent = "Désactivé";
            }
        }

    </script>

{% endblock %}

{% block content %}
    <div class="container mt-5">
        <h1>Éditer un fragment</h1>
        
        <form method="POST" action="#" class="mt-3">
            {% csrf_token %}
        <div class="row"> <!-- Nouvelle rangée pour les boutons -->
            <div class="col"> <!-- Colonne pour le bouton "Retour" -->
                <a href="{% url 'fragments_list' %}" class="btn btn-secondary mt-2">
                    <i class="fas fa-angle-double-left me-2"></i>Retour à la liste des fragments
                </a>
            </div>
            <div class="col text-end"> <!-- Colonne pour le bouton "Enregistrer" -->
                <button type="submit" class="btn btn-success mt-2 mb-4">
                    Enregistrer
                </button>
            </div>
        </div>

        {% if form.errors %}
            <div class="alert alert-danger mx-auto my-4" role="alert">
                {% for fieldname, errors in form.errors.items %}
                    {% if fieldname == "__all__" %}
                        Problèmes :
                    {% else %}
                        {{ fieldname }} :
                    {% endif %}
                    <ul>
                        {% for error in errors %}
                            <li>{{ error }}</li>
                        {% endfor %}
                    </ul>
                {% endfor %}
            </div>
        {% endif %}

        {% if success %}
            <div class="alert alert-success mt-2" role="alert">
                Modifications enregistrées avec succès !
            </div>
        {% endif %}

            <div class="col mb-3">
                <label for="{{ form.fragment_name.id_for_label }}" class="form-label">
                    {{ form.fragment_name.label }}
                </label>

                {{ form.fragment_name }}
            </div>

            <div class="mb-2">
                <label for="{{ form.active.id_for_label }}" class="form-label me-2">
                    {{ form.active.label }}
                </label>

                {{ form.active }}

                <label id="active_color_label" for="{{ form.active.id_for_label }}" class="form-label ms-2 fw-bold">
                </label>
            </div>

            <div class="mb-3">
                <label for="{{ form.display_name.id_for_label }}" class="form-label">
                    {{ form.display_name.label }}
                </label>

                {{ form.display_name }}
            </div>

            <div class="mb-3">
                <label for="{{ form.description.id_for_label }}" class="form-label">
                    {{ form.description.label }}
                </label>

                {{ form.description }}
            </div>

            <div class="mb-3">
                <label for="{{ form.content.id_for_label }}" class="form-label">
                    {{ form.content.label }}
                </label>

                <div class="alert alert-warning">
                    ATTENTION ! Ne copiez pas de code depuis des sources peu fiables (Internet)
                    sans vérifier de la fiabilité du code en question avec un.e développeu.r.se.
                    Méfiez-vous en particulier des balises '&ltscript&gt' ! (l'éditeur permet d'intégrer du JavaScript,
                    comme ça pourrait être utile, mais un grand pouvoir implique de grandes responsabilités !)
                </div>

                {{ form.content }}
            </div>

            <button type="submit" class="btn btn-success mt-2 mb-4 w-100">
                Enregistrer
            </button>
        </form>
    </div>
{% endblock %}

